Subject: Re: bug#3889: 23.1.50; [PATCH] Increase blink-matching-paren-distance

From: Ian Eure <[email-masked]>
Date: Tue, 21 Jul 2009 09:17:27 -0700

On Jul 21, 2009, at 2:39 AM, martin rudalics wrote:

> > A user came into #emacs today complaining that his paren matching  
> was
> > not working with a large file, and that font-locking broke as a  
> result.
> >
> > I found that this is controlled by blink-matching-paren-distance,  
> which
> > was increased to 25kb around 1997.
>
> How can `blink-matching-paren-distance' affect font-locking?  If I
> understand correctly all `blink-matching-open' can do is slow down
> typing.
>
I don't know, as I couldn't reproduce that aspect of the issue.  
Perhaps their `show-paren-style' was set to 'expression.

The paren matching definitely breaks, though. You get a message saying  
that you have mismatched parens, and they're highlighted incorrectly.

  - Ian